1 2 3 Previous Next 34 Replies Latest reply: Mar 4, 2013 1:33 PM by SWLinPHX Go to original post
  • 15. Re: AirPort Update Utility 5.6.1 - Fails
    SWLinPHX Level 1 Level 1 (25 points)

    I am on Snow Leopard 10.6.8 and two days ago I went to launch AirPort Utility 5.5.3 (as mentioned above I could never get the 5.6.1. udpate to install, either via Software Update or manually downloaded) and it would not open.  It hopped a couple times in the dock then just stopped.  I then re-downloaded 5.5.3 manually at the link above and it opened and works fine.  I didn't even have to delete any files.

     

    To be safe though, I am not even going to attempt to install 5.6.1 again, as the failed install attempt may be what corrupted my existing 5.5.3.

  • 16. Re: AirPort Update Utility 5.6.1 - Fails
    tabvlae Level 1 Level 1 (0 points)

    5.5.3 worked perfectly. Thanks.  Interesting to note that Apple launched this new version and did not corrected it yet. All my computers are having the same problem with this new version. What am I missing without this new version 5.6.1 ? Is there any user which actually installed the 5.61 using 10.6.8?

  • 17. Re: AirPort Update Utility 5.6.1 - Fails
    Colin Cannell Level 1 Level 1 (95 points)

    5.6.1 lets you administer the brand-new dual-channel Airport Express. AU 5.6 for Lion had a minor bug fix. That's about it, really. If you have older Airport hardware, you don't need the newer AU versions.

  • 18. Re: AirPort Update Utility 5.6.1 - Fails
    tabvlae Level 1 Level 1 (0 points)

    thank you

  • 19. Re: AirPort Update Utility 5.6.1 - Fails
    Derek Currie Level 1 Level 1 (90 points)

    tabvalae asked:

    Is there any user which actually installed the 5.61 using 10.6.8?

     

    Yes. As I indicated earlier in the thread, I had no problem installing 5.6.1 onto 10.6.8. I know of other people who have had no problem as well. Like everyone else, however, I could not install it onto 10.7.4, a situation that apparently is to be expected and that should have been listed in the v5.6.1 documentation. I'm sorry I don't know why the installation can fail on 10.6.8 apart from suggesting you perform both a permissions and a disk repair on your volume.

  • 20. Re: AirPort Update Utility 5.6.1 - Fails
    ecnav Level 1 Level 1 (0 points)

    Apple is forcing 6.1. And the app is dumber than the last, as it goes, we incrementally lose control and insight into what we have paid for with each up(down)grade. I stick with 5.5.3.

  • 21. Re: AirPort Update Utility 5.6.1 - Fails
    dchao99 Level 4 Level 4 (2,040 points)

    Totally agree with this stupid situation we are in again.

     

    Just now, I was trying to disable "wireless clients" on one of my AEBS, and I found out this option was no longer supported on 6.X.  Then I tried to downgrade to 5.6.1, and to my surprise, the installer would not install it on my Lion (10.7.4) Mac Pro.

     

    I ended up having to copy an already installed copy of AU 5.6.1 from my SL machine to my Lion machine.  If someone has no OS X that's lower than Lion, then they would be totally screwed.  (Note: I haven't tried Pacifist yet, that might let you manually install AU 5.6.1 back onto Lion)

     

    Apple is taking control away from users little bit by bit.

  • 22. Re: AirPort Update Utility 5.6.1 - Fails
    Douglas Urner Level 1 Level 1 (15 points)

    Here's one way to install 5.6.1 on Lion or Mountain Lion: https://discussions.apple.com/thread/4172563. Apparently there is also a product called Pacifist which will do it for you (my method is a chance to practice your command line foo).

  • 23. Re: AirPort Update Utility 5.6.1 - Fails
    SWLinPHX Level 1 Level 1 (25 points)

    Does that work for Snow Leopard too?  If not, any suggestions for that?

  • 24. Re: AirPort Update Utility 5.6.1 - Fails
    Douglas Urner Level 1 Level 1 (15 points)

    I would sure expect it too – though I think you should be able to install 5.6.1 directly from the disk image on Snow Leopard. That's what I did.

  • 25. Re: AirPort Update Utility 5.6.1 - Fails
    SWLinPHX Level 1 Level 1 (25 points)

    I (and many others as reported here) tried manually downloading it when it wouldn't install via Software Update, and neither worked.  I guess there's no problem waiting until the next update if you don't need the revision offered in 5.6.1.

  • 26. Re: AirPort Update Utility 5.6.1 - Fails
    Douglas Urner Level 1 Level 1 (15 points)

    Did you actually try manually extracting the app from the install package (either following the instructions I posted or using Pacifist)? The install package is specifically designed to block installation on Lion and Mountain Lion. I think it also tries to block the install if version 6 is installed.

     

    The installer should (as in doesn't appear to be designed not to work and did work for me on SLS) work without any shenanigans on Snow Leopard. If it doesn't it would be helpful to know what specific error messages you got and if you see any additional messages in Console.

     

    Failing that it wouldn't hurt to try to manually extract the app and then see if that will run. At least with that approach you will see what happens at each step along they way.

  • 27. Re: AirPort Update Utility 5.6.1 - Fails
    tabvlae Level 1 Level 1 (0 points)

    See my previous coment: 5.5.3 worked perfectly. Thanks.  Interesting to note that Apple launched this new version and did not corrected it yet. All my computers are having the same problem with this new version. What am I missing without this new version 5.6.1 ? Is there any user which actually installed the 5.61 using 10.6.8?

  • 28. Re: AirPort Update Utility 5.6.1 - Fails
    Douglas Urner Level 1 Level 1 (15 points)

    What Colin Cannell said… Unless you're running one of the newer dual-band AirPorts you don't need (as far as I can tell) 5.6.1.

     

    And yes, I've installed 5.6.1 on 20 some Snow Leopard machines running 10.6.8. It just worked.

     

    If you want to install it and it still isn't working it would really help to know what you've tried to do to fix the problem – have you tried any of the ideas that have been suggested here?

    • Using Disk Utility to verify the disk and repair permissions?
    • Using Console to see if the installer is logging anything?
    • Have you tried manually extracting it?
    • Have you tried a fresh install?

     

    Apple may not have fixed it because there may be nothing wrong on their end, the only way to tell is with more information from you about what you're seeing and what you've tried.

  • 29. Re: AirPort Update Utility 5.6.1 - Fails
    Douglas Urner Level 1 Level 1 (15 points)

    4) There is NO REASON for the installer to not work on 10.7.4, except some [expletive deleted] human at Apple messed up the installer.

    Sadly there is. Apple, for whatever reason, doesn't want 5.6.1 to work on Lion (or anything later). Because of this the installer is coded to check the OS version and refuse to do the install if you're using an OS that is "too new."

     

    Nobody messed up the installer, it is working exactly as designed. The problem is that Apple wants to move to a "tablet like" UI on all of their platforms. IHMO this is unfortunate, they are "dumbing down" the tools and making it harder to actually control the computer and understand what it is doing. Not the direction we should be going if you ask me. It is one thing to make things simple, it is another to make them obtuse and to gratuituosly remove funcationality.

     

    I suppose at this point we should just be glad that OS version check is in the installer and not in the app.